[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: RH 9 - new glibc

On Fri, Mar 28, 2003 at 11:01:09AM -0500, Bill Rugolsky Jr. wrote:
> Do you know for sure that it breaks things?  I'm about to install
> it today ...

I can verify some PHP breakage (phpwiki's use of gdbm seems to do a number
on the glibc upgrade, while other dba_XX() backends seem to be unaffected;
rolling back fixes it). Search bugzilla.redhat.com for bugs filed against
glibc, and you'll see a few others (wine, Netscape Communicator).

> $ rpm -qp --changelog glibc-2.3.2-4.80.src.rpm | head -14

That's the one. Most of my servers and desktops are fine with it, but I
have a webserver that has to have a working phpwiki using gdbm storage, and
I've had to roll that one back to glibc 2.2. Once RHL 9 comes out, I'll see
if I have the same problem there (since I've got at least one machine ready
to be my guinea pig for the release ;-).

(This is a call for help, btw: if anyone else is seeing this particular
issue, I would love a little help putting together a reproducable test case
that doesn't involve half the phpwiki source code, to help the RH folks
track this down a little faster. Time to start reading through the glibc
2.3 changelog...)

Edward S. Marshall <esm logic net>

Felix qui potuit rerum cognoscere causas.

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]